Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354152 - [abrt] synergy: ArchMultithreadPosix::lockMutex(): synergyc killed by SIGABRT
Summary: [abrt] synergy: ArchMultithreadPosix::lockMutex(): synergyc killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: synergy
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8af681014ad52d9a741bb77c378...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-10 06:17 UTC by Mikhail
Modified: 2017-08-08 15:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:29:50 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-10 06:17 UTC, Mikhail
no flags Details
File: cgroup (deleted)
2016-07-10 06:17 UTC, Mikhail
no flags Details
File: core_backtrace (deleted)
2016-07-10 06:17 UTC, Mikhail
no flags Details
File: dso_list (deleted)
2016-07-10 06:17 UTC, Mikhail
no flags Details
File: environ (deleted)
2016-07-10 06:17 UTC, Mikhail
no flags Details
File: limits (deleted)
2016-07-10 06:17 UTC, Mikhail
no flags Details
File: maps (deleted)
2016-07-10 06:17 UTC, Mikhail
no flags Details
File: mountinfo (deleted)
2016-07-10 06:17 UTC, Mikhail
no flags Details
File: namespaces (deleted)
2016-07-10 06:17 UTC, Mikhail
no flags Details
File: open_fds (deleted)
2016-07-10 06:17 UTC, Mikhail
no flags Details
File: proc_pid_status (deleted)
2016-07-10 06:17 UTC, Mikhail
no flags Details
File: var_log_messages (deleted)
2016-07-10 06:17 UTC, Mikhail
no flags Details

Description Mikhail 2016-07-10 06:17:03 UTC
Description of problem:
just try connect to server

Version-Release number of selected component:
synergy-1.7.6-1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/bin/synergyc -f --no-tray --debug NOTE --name stick --enable-crypto 192.168.1.87:24800
crash_function: ArchMultithreadPosix::lockMutex
executable:     /usr/bin/synergyc
global_pid:     11319
kernel:         4.6.3-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 ArchMultithreadPosix::lockMutex at /usr/src/debug/synergy-1.7.6-stable/src/lib/arch/unix/ArchMultithreadPosix.cpp:315
 #5 SocketMultiplexer::lockJobListLock at /usr/src/debug/synergy-1.7.6-stable/src/lib/net/SocketMultiplexer.cpp:296
 #6 SocketMultiplexer::addSocket at /usr/src/debug/synergy-1.7.6-stable/src/lib/net/SocketMultiplexer.cpp:83
 #7 TCPSocket::connect at /usr/src/debug/synergy-1.7.6-stable/src/lib/net/TCPSocket.cpp:297
 #8 Client::connect at /usr/src/debug/synergy-1.7.6-stable/src/lib/client/Client.cpp:177
 #9 ClientApp::startClient at /usr/src/debug/synergy-1.7.6-stable/src/lib/synergy/ClientApp.cpp:407
 #10 ClientApp::startNode at /usr/src/debug/synergy-1.7.6-stable/src/lib/synergy/ClientApp.cpp:576
 #11 ClientApp::mainLoop at /usr/src/debug/synergy-1.7.6-stable/src/lib/synergy/ClientApp.cpp:464
 #12 ClientApp::runInner at /usr/src/debug/synergy-1.7.6-stable/src/lib/synergy/ClientApp.cpp:552
 #13 App::run at /usr/src/debug/synergy-1.7.6-stable/src/lib/synergy/App.cpp:118

Comment 1 Mikhail 2016-07-10 06:17:13 UTC
Created attachment 1177984 [details]
File: backtrace

Comment 2 Mikhail 2016-07-10 06:17:15 UTC
Created attachment 1177985 [details]
File: cgroup

Comment 3 Mikhail 2016-07-10 06:17:16 UTC
Created attachment 1177986 [details]
File: core_backtrace

Comment 4 Mikhail 2016-07-10 06:17:18 UTC
Created attachment 1177987 [details]
File: dso_list

Comment 5 Mikhail 2016-07-10 06:17:20 UTC
Created attachment 1177988 [details]
File: environ

Comment 6 Mikhail 2016-07-10 06:17:22 UTC
Created attachment 1177989 [details]
File: limits

Comment 7 Mikhail 2016-07-10 06:17:24 UTC
Created attachment 1177990 [details]
File: maps

Comment 8 Mikhail 2016-07-10 06:17:26 UTC
Created attachment 1177991 [details]
File: mountinfo

Comment 9 Mikhail 2016-07-10 06:17:28 UTC
Created attachment 1177992 [details]
File: namespaces

Comment 10 Mikhail 2016-07-10 06:17:29 UTC
Created attachment 1177993 [details]
File: open_fds

Comment 11 Mikhail 2016-07-10 06:17:31 UTC
Created attachment 1177994 [details]
File: proc_pid_status

Comment 12 Mikhail 2016-07-10 06:17:33 UTC
Created attachment 1177995 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2017-07-25 21:42:46 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2017-08-08 15:29:50 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.